package com.org.web.person.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.org.web.person.domain.BcPersonSupport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface BcPersonSupportMapper extends BaseMapper<BcPersonSupport> {

    @Select("<script>" +
            "select * " +
            "from bc_person_support " +
            "where is_delete = 0 "+
            " <if test = 'type != null'> " +
            "  and type = #{type} " +
            " </if> " +

            " <if test = 'name != null and name != \"\"'> " +
            "  and name like concat('%', #{name}, '%') " +
            " </if> " +
            " <if test = 'idCardNo != null and idCardNo != \"\"'> " +
            "  and id_card_no like concat('%', #{idCardNo}, '%') " +
            " </if> " +
            " <if test = 'phone != null and phone != \"\"'> " +
            "  and phone like concat('%', #{phone}, '%') " +
            " </if> " +


            " order by create_time desc " +
            "</script>" )
    List<BcPersonSupport> queryList(BcPersonSupport person);

}
